Bug 2196702 - Windows move slightly on external monitor after some screen lock time
Summary: Windows move slightly on external monitor after some screen lock time
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mutter
Version: 38
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: GNOME SIG Unassigned
QA Contact: Fedora Extras Quality Assurance
URL: https://gitlab.gnome.org/GNOME/mutter...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-05-09 23:13 UTC by Bojan Smojver
Modified: 2024-05-22 10:55 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-05-22 10:55:07 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME mutter issues 2801 0 None opened Windows move slightly on external monitor after some screen lock time 2023-05-09 23:13:58 UTC
Mozilla Foundation 1834042 0 -- REOPENED Restarting Nightly shifts windows away from the top and left of the screen 2023-05-30 11:52:56 UTC

Description Bojan Smojver 2023-05-09 23:13:32 UTC
If Gnome session locks the screen, after the screen is unlocked, the windows that have been snapped together previously (by pressing Shift while moving them) are ever so slightly overlapping. It's only by a few pixels and at first I thought I must have been imagining it, but after using this setup for a few days, it is definitely the case.

mutter-44.1-1.fc38.x86_64 (i.e. Fedora 38 on x86_64), on Wayland (I do not use X11 any more)

Reproducible: Always

Steps to Reproduce:
1. Start Firefox, position it on external monitor in top left corner by pressing Shift key when dragging the window.
2. Open Terminal or Console and position them immediately to the right of Firefox windows, again by pressing Shift while moving.
3. Repeat with some more Terminal/Console windows.
4. Let Gnome lock the session.
5. Unlock the session and check windows on external monitor, which are now ever so slightly overlapping.
6. Repeating this a few times will make the problem worse and some text in terminals will become invisible.
Actual Results:  
Windows either grow or change position unexpectedly.

Expected Results:  
Windows should stay exactly the same.

The hardware is ThinkPad T450s, which has 1920 x 1080 resolution on it built in panel (i.e not high DPI). The external monitor is Acer KG281K (i.e. 4k - ergo high DPI) and it is running at 3840 x 2160 at 60 Hz. I don't really know whether this has anything to do with it, but I thought I'd mention it just in case.

I am attaching two screenshots. One showing Console overlapping with Firefox, after I unlocked the session and while filing this bug. The next screenshot is me repositioning Console windows again, by moving them and pressing Shift, so that they snap back to Firefox edge.![overlap-after-unlock](/uploads/1cb2c29ef8afc10c689e6c66ab068945/overlap-after-unlock.png)

Comment 1 Bojan Smojver 2023-05-30 07:46:21 UTC
It appears that it's actually Firefox window that is moving.

@stransky, have you seen stuff like this before?

Comment 2 Martin Stransky 2023-05-30 09:09:40 UTC
May be https://bugzilla.mozilla.org/show_bug.cgi?id=1834042

Comment 3 Bojan Smojver 2023-05-30 11:52:26 UTC
(In reply to Martin Stransky from comment #2)
> May be https://bugzilla.mozilla.org/show_bug.cgi?id=1834042

Thanks. I think I noticed Console windows moving today as well, so it could be related, but it could also be something in mutter. The Mozilla bug appears to be for 115, which is not something I used.

I'll move the bug back to mutter for now.

Comment 4 Aoife Moloney 2024-05-22 10:55:07 UTC
Fedora Linux 38 entered end-of-life (EOL) status on 2024-05-21.

Fedora Linux 38 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora Linux
please feel free to reopen this bug against that version. Note that the version
field may be hidden. Click the "Show advanced fields" button if you do not see
the version field.

If you are unable to reopen this bug, please file a new report against an
active release.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.